image: bayesimpact/react-base

stages:
  - infraestructure
  - deploy

deploy-infraestructure:
  image: lambci/lambda:build-python3.7
  stage: infraestructure
  only:
    - master
  script:
    - aws cloudformation package --template template.yaml --s3-bucket "$DOMAIN_S3_BUCKET_NAME" --output-template template-export.yaml
    - aws cloudformation deploy --template-file template-export.yaml --stack-name "$AWS_STACK_NAME" --parameter-overrides DomainS3BucketName=$DOMAIN_S3_BUCKET_NAME --capabilities CAPABILITY_IAM CAPABILITY_NAMED_IAM --no-fail-on-empty-changeset


deploy-code:
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  stage: deploy
  only:
    - master
  script:
    - aws s3 cp --recursive images/ s3://$DOMAIN_S3_BUCKET_NAME
    - aws s3 cp index.html s3://$DOMAIN_S3_BUCKET_NAME
